package com.brilliance.isc.swift.objmtconvert.model.mt7xx.tag.tag787;

import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt7xx.MT787Creator;

public class Tag26ECreator extends AbsTagCreate {
    private MT787Creator mt787Creator;

    public Tag26ECreator(AbsMTCreator absMTCreator)
    {
        super(absMTCreator);
        this.mt787Creator= (MT787Creator) absMTCreator;
    }

    public  void creator()
    {
        String tag26EValue = mt787Creator.getNumberofAmendment();
        mt787Creator.set("26E", tag26EValue);
    }
}
